Claim NFT from a drop using server wallet
curl --request POST \
--url https://api.lootexplus.com/v1/project-wallet/drops/claim \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"chainId": 1868,
"contractAddress": "0x0eC8705Ca1071f467cB4bAEb548Af2aeaF5426fd",
"recipientAddress": "",
"quantity": 1,
"projectId": "123",
"overrideMetadata": [
{
"name": "Cool NFT #1",
"description": "This is a really cool NFT",
"image": "https://example.com/image.png",
"animationUrl": "https://example.com/animation.mp4",
"externalUrl": "https://example.com",
"attributes": [
{
"trait_type": "Background",
"value": "Blue",
"display_type": "string"
}
],
"properties": {
"category": "art"
}
}
]
}
'import requests
url = "https://api.lootexplus.com/v1/project-wallet/drops/claim"
payload = {
"chainId": 1868,
"contractAddress": "0x0eC8705Ca1071f467cB4bAEb548Af2aeaF5426fd",
"recipientAddress": "",
"quantity": 1,
"projectId": "123",
"overrideMetadata": [
{
"name": "Cool NFT #1",
"description": "This is a really cool NFT",
"image": "https://example.com/image.png",
"animationUrl": "https://example.com/animation.mp4",
"externalUrl": "https://example.com",
"attributes": [
{
"trait_type": "Background",
"value": "Blue",
"display_type": "string"
}
],
"properties": { "category": "art" }
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
chainId: 1868,
contractAddress: '0x0eC8705Ca1071f467cB4bAEb548Af2aeaF5426fd',
recipientAddress: '',
quantity: 1,
projectId: '123',
overrideMetadata: [
{
name: 'Cool NFT #1',
description: 'This is a really cool NFT',
image: 'https://example.com/image.png',
animationUrl: 'https://example.com/animation.mp4',
externalUrl: 'https://example.com',
attributes: [{trait_type: 'Background', value: 'Blue', display_type: 'string'}],
properties: {category: 'art'}
}
]
})
};
fetch('https://api.lootexplus.com/v1/project-wallet/drops/claim', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"assets": [
{
"chainId": 1868,
"contractAddress": "0xda365ed7e15c1fdc74a9bef7ff558b33892f7534",
"tokenId": "2",
"name": "Slowpoke #7397",
"description": "Incredibly slow and dopey. It takes 5 seconds for it to feel pain when under attack.",
"imageUrl": "https://raw.githubusercontent.com/PokeAPI/sprites/master/sprites/pokemon/other/official-artwork/79.png",
"animationUrl": "",
"tokenUri": "https://api.lootexplus.com/v1/metadata/d999b43b-be34-40c8-98fe-bcdb5fea8de9/0",
"schema": "ERC721",
"bestListing": null,
"collection": {
"id": "f98bcb27-d77a-4786-848f-7357aab8e704",
"slug": "soneium:0xda365ed7e15c1fdc74a9bef7ff558b33892f7534",
"chainId": 1868,
"contractAddress": "0xda365ed7e15c1fdc74a9bef7ff558b33892f7534",
"name": "My NFT Drop",
"isVerified": false
}
}
],
"transactions": [
{
"id": "abb2aec3-0b51-43e2-9cf8-3b4ff37263a5",
"jobId": "3edff414918b5851d5676ea9",
"status": "pending",
"projectId": "p-2e48091c5b40d0d03a564e5a",
"transactionHash": "0xcf8b0157b6b2f6cc9b6d8e27e71985f15475ab826308cbbb2fb71ac23700fddc",
"chainId": 1868,
"from": "0x50A1eD7DEb09508771288BcEa72143436ffCF7Fb",
"to": "0xda365ed7e15c1fdc74a9bef7ff558b33892f7534",
"value": "0",
"data": "0x84bb1e420000000000000000000000007d878a527e86321aecd80a493e584117a907a0ab0000000000000000000000000000000000000000000000000000000000000001000000000000000000000000eeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeee000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000c00000000000000000000000000000000000000000000000000000000000000180000000000000000000000000000000000000000000000000000000000000008000000000000000000000000000000000000000000000000000000000000003e80000000000000000000000000000000000000000000000000000000000000000000000000000000000000000eeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeee000000000000000000000000000000000000000000000000000000000000000100000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
"gasUsed": null,
"gasPrice": null,
"totalGasFee": null,
"metadata": null,
"createdAt": "2025-08-15T09:20:26.869Z",
"updatedAt": "2025-08-15T09:20:26.869Z"
}
]
}Server Wallet
Claim Drop
POST
/
v1
/
project-wallet
/
drops
/
claim
Claim NFT from a drop using server wallet
Authorizations
Secret key for authentication
Body
application/json
Claim drop data
Chain ID
Example:
1868
Drop contract address
Example:
"0x0eC8705Ca1071f467cB4bAEb548Af2aeaF5426fd"
Recipient wallet address
Example:
""
Quantity
Example:
1
Project ID
Example:
"123"
Override metadata for each token minted
Show child attributes
Show child attributes